package com.huaching.parking.local.parking_local_general.command;

import com.huaching.parking.local.parking_local_general.domain.local.bo.ThsRequestChargeAbstract;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import javax.annotation.PostConstruct;
import java.lang.reflect.ParameterizedType;
import java.lang.reflect.Type;
import java.util.List;
import java.util.concurrent.ConcurrentHashMap;
import java.util.concurrent.ConcurrentMap;

/**
 * @program: parking_local_general
 * @description: 请求费用command
 * @author: lidongsheng
 * @createData: 2020-05-19 16:44
 * @updateAuthor: lidongsheng
 * @updateData: 2020-05-19 16:44
 * @updateContent: 请求费用command
 * @Version: 1.0.0
 * ************************************************
 * Copyright @ 李东升 2020. All rights reserved
 * ************************************************
 */
@Service
public class RequestChargeCommand {

    @Autowired
    private List<ThsRequestChargeAbstract> processors;

    private final ConcurrentMap<Integer, ThsRequestChargeAbstract> processMap = new ConcurrentHashMap<>();

    @PostConstruct
    public void start() {
        if (processors == null || processors.size() == 0) {
            return;
        }
        for (ThsRequestChargeAbstract processor : processors) {
            processMap.put(processor.getType(), processor);
        }
    }

    public ThsRequestChargeAbstract getProcessor(Integer type) {
        return processMap.get(type);
    }

}
