package com.huaching.parking.local.parking_local_general.config.local;

import com.huaching.parking.local.parking_local_general.domain.ResponseResult;
import com.huaching.parking.local.parking_local_general.enums.local.ReasonCodeEnums;
import org.springframework.validation.ObjectError;
import org.springframework.web.bind.MethodArgumentNotValidException;
import org.springframework.web.bind.annotation.ExceptionHandler;
import org.springframework.web.bind.annotation.RestControllerAdvice;

/**
 * @program: parking_local_general
 * @description: 全局异常处理类
 * @author: lidongsheng
 * @createData: 2020-04-20 18:20
 * @updateAuthor: lidongsheng
 * @updateData: 2020-04-20 18:20
 * @updateContent: 全局异常处理类
 * @Version: 1.0.0

 * ************************************************
 * Copyright @ 李东升 2020. All rights reserved
 * ************************************************
 */
@RestControllerAdvice
public class ExceptionControllerAdvice {
    /**
     * 接口请求参数校验不通过
     * @param e
     * @return
     */
    @ExceptionHandler(MethodArgumentNotValidException.class)
    public ResponseResult MethodArgumentNotValidExceptionHandler(MethodArgumentNotValidException e) {
        // 从异常对象中拿到ObjectError对象
        ObjectError objectError = e.getBindingResult().getAllErrors().get(0);
        // 然后提取错误提示信息进行返回
        return ResponseResult.responseFail(ReasonCodeEnums.REQUEST_PARM_VALID_DEFEAT,objectError.getDefaultMessage());
    }
}
