package com.huaching.parking.local.parking_local_general.controller.local;

import com.alibaba.fastjson.JSON;
import com.huaching.parking.local.parking_local_general.domain.ResponseResult;
import com.huaching.parking.local.parking_local_general.domain.local.dto.request.ManualCarOutDTO;
import com.huaching.parking.local.parking_local_general.domain.local.dto.response.ThsChannelMeeageDTO;
import com.huaching.parking.local.parking_local_general.enums.local.ReasonCodeEnums;
import com.huaching.parking.local.parking_local_general.intercept.local.GeneralPrintLogAOP;
import com.huaching.parking.local.parking_local_general.service.local.LocalCarInAndOutService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * @program: parking_local_general
 * @description: 通道相关的controller
 * @author: lidongsheng
 * @createData: 2020-05-11 11:31
 * @updateAuthor: lidongsheng
 * @updateData: 2020-05-11 11:31
 * @updateContent: 通道相关的controller
 * @Version: 1.0.0

 * ************************************************
 * Copyright @ 李东升 2020. All rights reserved
 * ************************************************
 */
@Api(value = "云平台 通道相关操作接口controller")
@RestController
@RequestMapping(value = "/ths/request/channel")
public class ChannelController {

    private static final Logger logger = LoggerFactory.getLogger(ChannelController.class);

    @Autowired
    private LocalCarInAndOutService localCarInAndOutService;

    /**
     * 根据车场编号和通道编号获得通道详细信息
     *
     * @return
     */
    @ApiOperation(value = "人工收费（场内付填写carNo，出口填写channelCode或者carNo都行）")
    @PostMapping("/manualCarOut")
    @GeneralPrintLogAOP(value = "人工收费接口")
    public ResponseResult manualCharge(@RequestBody ManualCarOutDTO manualCarOutDTO) {
        return localCarInAndOutService.manualCharge(manualCarOutDTO);
    }
}
