package com.huaching.parking.local.parking_local_general.controller.zhaf;

import com.huaching.parking.local.parking_local_general.domain.ResponseResult;
import com.huaching.parking.local.parking_local_general.domain.zhaf.dto.BarriergateReportDTO;
import com.huaching.parking.local.parking_local_general.service.zhaf.ReportService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RestController;

/**
 * @program: parking_local_general
 * @description: 智慧安防小区上报controller
 * @author: lidongsheng
 * @createData: 2020-04-14 13:36
 * @updateAuthor: lidongsheng
 * @updateData: 2020-04-14 13:36
 * @updateContent: 智慧安防小区上报controller
 * @Version: 1.0.0

 * ************************************************
 * Copyright @ 李东升 2020. All rights reserved
 * ************************************************
 */
@Api(value = "智慧安防 道闸上报接收controller")
@RestController
@RequestMapping(value ="/zhaf/report")
public class ReportController {

    private static final Logger logger = LoggerFactory.getLogger(ReportController.class);

    @Autowired
    private ReportService reportService;

    /**
     * 道闸过车上报
     * @return
     */
    @ApiOperation(value="道闸过车上报controller")
    @RequestMapping(value = "/barriergateReport", method = RequestMethod.POST)
    public ResponseResult barriergateReport(@RequestBody BarriergateReportDTO barriergateReportDTO){
        return reportService.barriergateReport(barriergateReportDTO);
    }
}
