package com.huaching.parking.local.parking_local_general.domain.local.bo;

import com.alibaba.fastjson.JSON;
import com.huaching.parking.local.parking_local_general.domain.local.po.ThsChargingRulesPO;
import com.huaching.parking.local.parking_local_general.enums.local.RequestChargeTypeEnums;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.stereotype.Component;

import java.util.Date;

/**
 * @program: parking_local_general
 * @description: 按次收费
 * @author: lidongsheng
 * @createData: 2020-05-19 17:11
 * @updateAuthor: lidongsheng
 * @updateData: 2020-05-19 17:11
 * @updateContent: 按次收费
 * @Version: 1.0.0
 * @email: lidongshenglife@163.com
 * ************************************************
 * Copyright @ 李东升 2020. All rights reserved
 * ************************************************
 */
@Component
public class ThsOneTimePayableMoney implements ThsRequestChargeAbstract {

    private static final Logger logger = LoggerFactory.getLogger(ThsOneTimePayableMoney.class);

    @Override
    public Integer getPayableMoney(ThsChargingRulesPO thsChargingRulesPO, Date inTime) {
        String chargeDetails = thsChargingRulesPO.getChargeDetails();
        return (Integer) JSON.parseObject(chargeDetails).get("oneTimeMoney");
    }

    @Override
    public Integer getType() {
        return RequestChargeTypeEnums.ONE_TIME.getCode();
    }
}
