package com.huaching.parking.local.parking_local_general.domain.local.bo;

import com.alibaba.fastjson.JSON;
import com.huaching.parking.local.parking_local_general.command.RequestChargeCommand;
import com.huaching.parking.local.parking_local_general.domain.local.po.ThsChargingRulesPO;
import com.huaching.parking.local.parking_local_general.intercept.local.GeneralPrintLogAOP;
import com.huaching.parking.local.parking_local_general.service.local.MemberCarHelperService;
import com.huaching.parking.local.parking_local_general.util.local.DateUtils;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.context.ApplicationContext;
import org.springframework.stereotype.Component;

import java.util.Comparator;
import java.util.Date;
import java.util.List;
import java.util.UUID;

/**
 * @program: parking_local_general
 * @description: 计算请求费用BO处理类
 * @author: lidongsheng
 * @createData: 2020-04-22 13:41
 * @updateAuthor: lidongsheng
 * @updateData: 2020-04-22 13:41
 * @updateContent:
 * @Version: 1.0.0
 * ************************************************
 * Copyright @ 李东升 2020. All rights reserved
 * ************************************************
 */
@Component
public class ThsRequestChargeBO {

    private static final Logger logger = LoggerFactory.getLogger(ThsRequestChargeBO.class);

    @Autowired
    private MemberCarHelperService memberCarHelperService;

    @Autowired
    private RequestChargeCommand requestChargeCommand;

    /**
     * 计算费用
     *
     * @param thsChargingRulesPO
     * @param inTime
     * @return
     */
    @GeneralPrintLogAOP(value = "请求费用BO")
    public Integer getPayableMoney(ThsChargingRulesPO thsChargingRulesPO, String carNo, Date inTime) {
        if (memberCarHelperService.vaildMember(thsChargingRulesPO.getParkCode(), carNo) != null) {
            return 0;
        }
        return requestChargeCommand.getProcessor(thsChargingRulesPO.getChargeType()).getPayableMoney(thsChargingRulesPO, inTime);
    }

}
