package com.huaching.parking.local.parking_local_general.domain.local.dto.request;

import com.huaching.parking.transfer.domain.dto.PlatformWhiteListSyncDto;

import java.util.Date;

public class ThsMemberCarDTO {

    /**
    * 车场id
    */
    private String parkCode;

    /**
    * 会员车牌号
    */
    private String carNo;

    /**
    * 会员开始时间
    */
    private Date startDate;

    /**
    * 会员结束时间
    */
    private Date endDate;

    /**
    * 会员卡类型
    * 1 月租全免
    * 2 权益时间 单位：秒
    * 3 权益金额 单位：分
    */
    private Integer carType;

    /**
    * 权益时间 单位：秒
    */
    private Integer benefitsTime;

    /**
    * 权益金额 单位：分
    */
    private Integer benefitsMoney;

    /**
    * 会员标识
    */
    private String vipFlag;

    /**
    * 权益详情备注
    */
    private String benefitsRemark;

    /**
    * 备注
    */
    private String remake;

    /**
    * 会员姓名
    */
    private String memberName;

    /**
    * 会员电话
    */
    private String memberPhone;


    public String getParkCode() {
        return parkCode;
    }

    public void setParkCode(String parkCode) {
        this.parkCode = parkCode == null ? null : parkCode.trim();
    }

    public String getCarNo() {
        return carNo;
    }

    public void setCarNo(String carNo) {
        this.carNo = carNo == null ? null : carNo.trim();
    }

    public Date getStartDate() {
        return startDate;
    }

    public void setStartDate(Date startDate) {
        this.startDate = startDate;
    }

    public Date getEndDate() {
        return endDate;
    }

    public void setEndDate(Date endDate) {
        this.endDate = endDate;
    }

    public Integer getCarType() {
        return carType;
    }

    public void setCarType(Integer carType) {
        this.carType = carType;
    }

    public Integer getBenefitsTime() {
        return benefitsTime;
    }

    public void setBenefitsTime(Integer benefitsTime) {
        this.benefitsTime = benefitsTime;
    }

    public Integer getBenefitsMoney() {
        return benefitsMoney;
    }

    public void setBenefitsMoney(Integer benefitsMoney) {
        this.benefitsMoney = benefitsMoney;
    }

    public String getVipFlag() {
        return vipFlag;
    }

    public void setVipFlag(String vipFlag) {
        this.vipFlag = vipFlag == null ? null : vipFlag.trim();
    }

    public String getBenefitsRemark() {
        return benefitsRemark;
    }

    public void setBenefitsRemark(String benefitsRemark) {
        this.benefitsRemark = benefitsRemark == null ? null : benefitsRemark.trim();
    }


    public String getRemake() {
        return remake;
    }

    public void setRemake(String remake) {
        this.remake = remake == null ? null : remake.trim();
    }


    public String getMemberName() {
        return memberName;
    }

    public void setMemberName(String memberName) {
        this.memberName = memberName == null ? null : memberName.trim();
    }

    public String getMemberPhone() {
        return memberPhone;
    }

    public void setMemberPhone(String memberPhone) {
        this.memberPhone = memberPhone == null ? null : memberPhone.trim();
    }

    public static ThsMemberCarDTO dtoConvertToThis(PlatformWhiteListSyncDto dto){
        ThsMemberCarDTO thsMemberCarDTO = new ThsMemberCarDTO();
        thsMemberCarDTO.setParkCode(dto.getPlatformParkId().toString());
        thsMemberCarDTO.setCarNo(dto.getCarNo());
        thsMemberCarDTO.setStartDate(dto.getStartDate());
        thsMemberCarDTO.setEndDate(dto.getEndDate());
        thsMemberCarDTO.setMemberName(dto.getOwnerName());
        thsMemberCarDTO.setMemberPhone(dto.getOwnerPhone());
        thsMemberCarDTO.setCarType(1);
        thsMemberCarDTO.setBenefitsMoney(0);
        thsMemberCarDTO.setBenefitsTime(0);
        return thsMemberCarDTO;
    }
}