package com.huaching.parking.local.parking_local_general.domain.local.dto.response;

import com.huaching.parking.local.parking_local_general.domain.local.po.ThsChannelMessagePO;

/**
 * @program: parking_local_general
 * @description: 查询通道信息 ResponseDTO
 * @author: lidongsheng
 * @createData: 2020-04-17 19:08
 * @updateAuthor: lidongsheng
 * @updateData: 2020-04-17 19:08
 * @updateContent: 通道信息DTO
 * @Version: 1.0.0

 * ************************************************
 * Copyright @ 李东升 2020. All rights reserved
 * ************************************************
 */

public class ThsChannelMeeageDTO {

    /**
     * 通道编号
     */
    private String channelCode;

    /**
     * 通道名称
     */
    private String channelName;

    /**
     * 通道ip
     */
    private String channelIp;

    /**
     * 方向：1进 2 出 3混合
     */
    private Integer direction;

    /**
     * 控制类型：0 自动放行 1 平台接口控制
     */
    private Integer control_type;

    public String getChannelCode() {
        return channelCode;
    }

    public void setChannelCode(String channelCode) {
        this.channelCode = channelCode;
    }

    public String getChannelName() {
        return channelName;
    }

    public void setChannelName(String channelName) {
        this.channelName = channelName;
    }

    public String getChannelIp() {
        return channelIp;
    }

    public void setChannelIp(String channelIp) {
        this.channelIp = channelIp;
    }

    public Integer getDirection() {
        return direction;
    }

    public void setDirection(Integer direction) {
        this.direction = direction;
    }

    public Integer getControl_type() {
        return control_type;
    }

    public void setControl_type(Integer control_type) {
        this.control_type = control_type;
    }

    /**
     * PO转换为DTO
     *
     * @param thsChannelMessagePO
     * @return
     */
    public static ThsChannelMeeageDTO poConvertToDto(ThsChannelMessagePO thsChannelMessagePO) {
        if (thsChannelMessagePO == null) {
            return null;
        }
        ThsChannelMeeageDTO thsChannelMeeageDTO = new ThsChannelMeeageDTO();
        thsChannelMeeageDTO.setChannelCode(thsChannelMessagePO.getChannelCode());
        thsChannelMeeageDTO.setChannelName(thsChannelMessagePO.getChannelName());
        thsChannelMeeageDTO.setDirection(thsChannelMessagePO.getDirection());
        thsChannelMeeageDTO.setChannelIp(thsChannelMessagePO.getChannelIp());
        thsChannelMeeageDTO.setControl_type(thsChannelMessagePO.getControlType());
        return thsChannelMeeageDTO;
    }
}
