package com.huaching.parking.local.parking_local_general.domain.zhaf.dto;

import java.util.List;

/**
 * @program: parking_local_general
 * @description: 注册设备入参DTO
 * @author: lidongsheng
 * @createData: 2020-04-15 10:14
 * @updateAuthor: lidongsheng
 * @updateData: 2020-04-15 10:14
 * @updateContent: 注册设备入参DTO
 * @Version: 1.0.0

 * ************************************************
 * Copyright @ 李东升 2020. All rights reserved
 * ************************************************
 */

public class RegisterDeviceDTO {

    /**
     * ipAddr : 192.168.1.124
     * deviceName : A单元楼门禁
     * deviceCode : DS-K5604-Z
     * deviceModel : DS-K5604-Z
     * longitude : 120.74916
     * latitude : 27.97633
     * chargeName : 张三
     * buildUnit : 温州基建虚拟公司
     * buildUnitPhone : 0577-8682833
     * buildTime : 2019-07-01
     * address : 天鹅湖小区A栋1单元1楼南出入口处
     * direction : 1
     * deviceType : 2
     * brand : hikvision
     * factory : hikvision
     * username : admin
     * password : admin12345
     * port : 8000
     * deviceCapabilityBinds : [{"capability":"barriergate.data","bindDeviceCode":"DS-TVL224-4-5Y","bindCapability":"display.xIssue"}]
     */

    private String ipAddr;
    private String deviceName;
    private String deviceCode;
    private String deviceModel;
    private double longitude;
    private double latitude;
    private String chargeName;
    private String buildUnit;
    private String buildUnitPhone;
    private String buildTime;
    private String address;
    private String direction;
    private String deviceType;
    private String brand;
    private String factory;
    private String username;
    private String password;
    private String port;
    /**
     * 开闸模式 (道闸控制类型，0为相机控制1为平台控制) 平台控制模式才可以发指令开闸 (2.3.0版本新增)
     */
    private Integer barrierGateControlMode;
    /**
     * 关联屏显设备时显示的模版 不填为默认模版，可选为 DEFAULT,CAR_IN,CAR_OUT（1.2.0版本新增）
     */
    private String template;
    private List<DeviceCapabilityBindsBean> deviceCapabilityBinds;

    public String getIpAddr() {
        return ipAddr;
    }

    public void setIpAddr(String ipAddr) {
        this.ipAddr = ipAddr;
    }

    public String getDeviceName() {
        return deviceName;
    }

    public void setDeviceName(String deviceName) {
        this.deviceName = deviceName;
    }

    public String getDeviceCode() {
        return deviceCode;
    }

    public void setDeviceCode(String deviceCode) {
        this.deviceCode = deviceCode;
    }

    public String getDeviceModel() {
        return deviceModel;
    }

    public void setDeviceModel(String deviceModel) {
        this.deviceModel = deviceModel;
    }

    public double getLongitude() {
        return longitude;
    }

    public void setLongitude(double longitude) {
        this.longitude = longitude;
    }

    public double getLatitude() {
        return latitude;
    }

    public void setLatitude(double latitude) {
        this.latitude = latitude;
    }

    public String getChargeName() {
        return chargeName;
    }

    public void setChargeName(String chargeName) {
        this.chargeName = chargeName;
    }

    public String getBuildUnit() {
        return buildUnit;
    }

    public void setBuildUnit(String buildUnit) {
        this.buildUnit = buildUnit;
    }

    public String getBuildUnitPhone() {
        return buildUnitPhone;
    }

    public void setBuildUnitPhone(String buildUnitPhone) {
        this.buildUnitPhone = buildUnitPhone;
    }

    public String getBuildTime() {
        return buildTime;
    }

    public void setBuildTime(String buildTime) {
        this.buildTime = buildTime;
    }

    public String getAddress() {
        return address;
    }

    public void setAddress(String address) {
        this.address = address;
    }

    public String getDirection() {
        return direction;
    }

    public void setDirection(String direction) {
        this.direction = direction;
    }

    public String getDeviceType() {
        return deviceType;
    }

    public void setDeviceType(String deviceType) {
        this.deviceType = deviceType;
    }

    public String getBrand() {
        return brand;
    }

    public void setBrand(String brand) {
        this.brand = brand;
    }

    public String getFactory() {
        return factory;
    }

    public void setFactory(String factory) {
        this.factory = factory;
    }

    public String getUsername() {
        return username;
    }

    public void setUsername(String username) {
        this.username = username;
    }

    public String getPassword() {
        return password;
    }

    public void setPassword(String password) {
        this.password = password;
    }

    public String getPort() {
        return port;
    }

    public void setPort(String port) {
        this.port = port;
    }

    public List<DeviceCapabilityBindsBean> getDeviceCapabilityBinds() {
        return deviceCapabilityBinds;
    }

    public void setDeviceCapabilityBinds(List<DeviceCapabilityBindsBean> deviceCapabilityBinds) {
        this.deviceCapabilityBinds = deviceCapabilityBinds;
    }

    public static class DeviceCapabilityBindsBean {
        /**
         * capability : barriergate.data
         * bindDeviceCode : DS-TVL224-4-5Y
         * bindCapability : display.xIssue
         */

        /**
         * 当前设备的能力(不传则是默认能力)
         */
        private String capability;
        /**
         * 绑定的设备编码
         */
        private String bindDeviceCode;
        /**
         * 绑定设备的能力(不传则是默认能力)
         */
        private String bindCapability;

        public String getCapability() {
            return capability;
        }

        public void setCapability(String capability) {
            this.capability = capability;
        }

        public String getBindDeviceCode() {
            return bindDeviceCode;
        }

        public void setBindDeviceCode(String bindDeviceCode) {
            this.bindDeviceCode = bindDeviceCode;
        }

        public String getBindCapability() {
            return bindCapability;
        }

        public void setBindCapability(String bindCapability) {
            this.bindCapability = bindCapability;
        }
    }
}
