package com.huaching.parking.local.parking_local_general.intercept.local;

import java.lang.annotation.*;

/**
 * @program:
 * @description: 使用AOP注解拦截
 * @author:
 * @createData:
 * @updateAuthor:
 * @updateData:
 * @updateContent: 使用AOP注解拦截
 * @Version: 1.0
 */

/**
 * 定义了该注解可以出现在哪里。常用的：
 * TYPE：类, 接口 (包括注释类型), 或 枚举 声明
 * FIELD：字段声明（包括枚举常量）
 * METHOD：方法声明
 */
@Target(ElementType.METHOD)
/**
 * Reteniton的作用是定义被它所注解的注解保留多久
 * SOURCE
 * 被编译器忽略。
 * CLASS
 * 注解将会被保留在Class文件中，但在运行时并不会被VM保留。
 * 这是默认行为，所有没有用Retention注解的注解，都会采用这种策略。
 * RUNTIME
 * 保留至运行时。所以我们可以通过反射去获取注解信息。
 */
@Retention(RetentionPolicy.RUNTIME)
@Documented
public @interface GeneralPrintLogAOP {
    /**
     * @return
     */
    String value() default "";

    /**
     * 指定参数是否为json数据参数
     *
     * @return int数组中存储为json参数的顺序（从0开始）
     *          -1表示不存在json数据
     */
    int[] jsonSubs() default {0};
}
