package com.huaching.parking.local.parking_local_general.longConnection.util;

import io.netty.channel.Channel;

import java.util.concurrent.ConcurrentHashMap;
import java.util.concurrent.ConcurrentMap;

/**
 * 客户端连接工具类
 * Created by lorne on 2017/6/30.
 */
public class SocketManager {

    public static final String LOCAL_SUB_CLIENT= "local_sub_client";
    public static final String LOCAL_PUB_CLIENT= "local_pub_client";
    public static String CLOUD_TCP_CLIENT= "";


    private ConcurrentMap<String,Channel> channels = new ConcurrentHashMap();

    private static SocketManager manager = null;

    public static SocketManager getInstance() {
        if (manager == null){
            synchronized (SocketManager.class){
                if(manager==null){
                    manager = new SocketManager();
                }
            }
        }
        return manager;
    }


    public Channel getChannelByModelName(String name) {
        return channels.get(name);
    }

    private SocketManager() {
    }

    public void addClient(String clientName,Channel channel) {
        channels.putIfAbsent(clientName,channel);
    }

    public void removeClient(String clientName) {
        channels.remove(clientName);
    }

    /*public void sendMsg(String clientName,Object msg){
        Channel channel = getChannelByModelName(clientName);
        if(channel != null && channel.isActive()){
            channel.writeAndFlush(Unpooled.buffer().writeBytes(msg.toString().getBytes()));
        }
    }*/
}
