package com.huaching.parking.local.parking_local_general.service.local;

import com.huaching.parking.local.parking_local_general.service.zhaf.RemoteRequestService;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * @program: parking_local_general
 * @description:
 * @author: lidongsheng
 * @createData: 2020-05-08 14:49
 * @updateAuthor: lidongsheng
 * @updateData: 2020-05-08 14:49
 * @updateContent:
 * @Version: 1.0.0

 * ************************************************
 * Copyright @ 李东升 2020. All rights reserved
 * ************************************************
 */
@Service
public class ControlBarrierGateServiceImpl implements ControlBarrierGateService {

    @Autowired
    private RemoteRequestService remoteRequestService;

    private static final Logger logger = LoggerFactory.getLogger(ControlBarrierGateServiceImpl.class);

    @Override
    public boolean controlBarrierGate(String parkCode, String deviceCode, Integer type) {
        for (int i = 0; i < 3; ++i) {
            if (remoteRequestService.controlBarrierGate(deviceCode, 1).getCompleteCode() == 1) {
                logger.info("抬杆成功 parkCode -> {},carNo ->{},OutChannelCode -> {}：",
                        parkCode, deviceCode, type);
                return true;
            }
            logger.error("抬杆重试 parkCode -> {},carNo ->{},OutChannelCode -> {}：",
                    parkCode, deviceCode, type);
        }
        return false;
    }
}
