package com.huaching.parking.local.parking_local_general.service.local;

import com.huaching.parking.local.parking_local_general.domain.ResponseResult;
import com.huaching.parking.local.parking_local_general.domain.local.dto.request.ManualCarOutDTO;
import com.huaching.parking.local.parking_local_general.domain.local.dto.request.ThsCarInDTO;
import com.huaching.parking.local.parking_local_general.domain.local.dto.request.ThsCarOutDTO;
import com.huaching.parking.local.parking_local_general.domain.local.po.ThsCarAdvanceInOutRecordsPO;
import com.huaching.parking.local.parking_local_general.domain.local.po.ThsParkingRecordsPO;

/**
 * @program: parking_local_general
 * @description: 上报相关server
 * @author: lidongsheng
 * @createData: 2020-04-17 13:50
 * @updateAuthor: lidongsheng
 * @updateData: 2020-04-17 13:50
 * @updateContent:
 * @Version: 1.0.0

 * ************************************************
 * Copyright @ 李东升 2020. All rights reserved
 * ************************************************
 */

public interface LocalCarInAndOutService {

    /**
     * 车辆入场逻辑处理
     * @return
     */
    ResponseResult carIn(ThsCarInDTO thsCarInDTO);

    /**
     * 车辆出场逻辑处理
     * @return
     */
    ResponseResult carOut(ThsCarOutDTO thsCarOutDTO);

    /**
     * 车辆预出入场逻辑处理
     * @return
     */
    ResponseResult carAdvanceInOut(ThsCarAdvanceInOutRecordsPO thsCarAdvanceInOutRecordsPO);

    /**
     * 出场逻辑处理
     * @param thsParkingRecordsPO
     * @param payableMoney
     * @param controlType
     * @return
     */
    int carOut(ThsParkingRecordsPO thsParkingRecordsPO, Integer payableMoney, Integer controlType);

    /**
     * 人工收费
     * @return
     */
    ResponseResult manualCharge(ManualCarOutDTO manualCarOutDTO);
}
