package com.huaching.parking.local.parking_local_general.service.local;

import com.huaching.parking.local.parking_local_general.domain.ResponseResult;
import com.huaching.parking.local.parking_local_general.domain.local.dto.request.ThsPaySyncDTO;
import com.huaching.parking.local.parking_local_general.domain.local.dto.response.ThsRequestChargeDTO;

import java.util.Date;

/**
 * @program: parking_local_general
 * @description: 费用支付相关Service
 * @author: lidongsheng
 * @createData: 2020-04-22 17:25
 * @updateAuthor: lidongsheng
 * @updateData: 2020-04-22 17:25
 * @updateContent: 支付费用相关Service
 * @Version: 1.0.0

 * ************************************************
 * Copyright @ 李东升 2020. All rights reserved
 * ************************************************
 */

public interface PaymentChargesService {

    /**
     * 请求费用
     *
     * @param parkCode 车场编号
     * @param carNo    车牌号
     * @param outTime  出场时间（只用于出口付费用计算判断，场内付传 null）
     * @return
     */
    ThsRequestChargeDTO requestCharge(String parkCode, String carNo, Date outTime);


    /**
     * 请求费用（采用之前的平台收费规则）
     *
     * @param parkCode
     * @param carNo
     * @return
     */
    ThsRequestChargeDTO requestChargeOld(String parkCode, String carNo);

    /**
     * 出口付请求费用
     *
     * @param parkCode    车场编号
     * @param channelCode 通道编号
     * @return
     */
    ThsRequestChargeDTO outRequestCharge(String parkCode, String channelCode);

    /**
     * 支付同步
     *
     * @param thsPaySyncDTO
     * @return
     */
    ResponseResult paySync(ThsPaySyncDTO thsPaySyncDTO);

}
