package com.huaching.parking.local.parking_local_general.service.local.base;

import com.huaching.parking.local.parking_local_general.domain.local.po.ThsCarAdvanceInOutRecordsPO;

/**
 * @program: parking_local_general
 * @description: 预初入场与数据库交互service
 * @author: lidongsheng
 * @createData: 2020-04-21 16:58
 * @updateAuthor: lidongsheng
 * @updateData: 2020-04-21 16:58
 * @updateContent:
 * @Version: 1.0.0

 * ************************************************
 * Copyright @ 李东升 2020. All rights reserved
 * ************************************************
 */

public interface CarAdvanceInOutRecordsService {

    /**
     * 添加记录
     *
     * @param thsCarAdvanceInOutRecordsPO
     * @return
     */
    boolean add(ThsCarAdvanceInOutRecordsPO thsCarAdvanceInOutRecordsPO);

    /**
     * 根据id删除记录
     *
     * @return
     */
    boolean deleteById(Integer id);

    /**
     * 更新记录
     * @return
     */
    boolean update(ThsCarAdvanceInOutRecordsPO thsCarAdvanceInOutRecordsPO);

    /**
     * 根据条件删除记录 车场编号和车牌号为必填项
     *
     * @param thsCarAdvanceInOutRecordsPO
     * @return
     */
    int deleteByExample(ThsCarAdvanceInOutRecordsPO thsCarAdvanceInOutRecordsPO);

    /**
     * 根据车场编号和车牌号得到最后一条待出场记录
     *
     * @param
     * @return
     */
    ThsCarAdvanceInOutRecordsPO selectLastAdvanceCarOutRecord(String parkCode,String carNo);

    /**
     * 根据车场编号和通道编号得到最后一条待出场记录
     *
     * @param
     * @return
     */
    ThsCarAdvanceInOutRecordsPO selectLastByParkCodeAndChannelCode(String parkCode,String channelCode);
}
