package com.huaching.parking.local.parking_local_general.service.local.base;

import com.huaching.parking.local.parking_local_general.domain.local.po.ThsParkingRecordsPO;

/**
 * @program: parking_local_general
 * @description: 停车记录与数据库交互service
 * @author: lidongsheng
 * @createData: 2020-04-21 14:49
 * @updateAuthor: lidongsheng
 * @updateData: 2020-04-21 14:49
 * @updateContent: 停车记录相关service
 * @Version: 1.0.0

 * ************************************************
 * Copyright @ 李东升 2020. All rights reserved
 * ************************************************
 */

public interface ParkingRecordsService {

    /**
     * 添加记录
     *
     * @param thsParkingRecordsPO
     * @return
     */
    boolean add(ThsParkingRecordsPO thsParkingRecordsPO);

    /**
     * 根据id删除记录
     *
     * @return
     */
    boolean deleteById(Integer id);

    /**
     * 根据条件删除记录 车场编号和车牌号为必填项
     *
     * @param thsParkingRecordsPO
     * @return
     */
    int deleteByExample(ThsParkingRecordsPO thsParkingRecordsPO);

    /**
     * 更新记录 车场编号和车牌号以及入场时间为必填项
     *
     * @param thsParkingRecordsPO
     * @param sendEventPublish    是否向report-data服务推送出场消息(在请求费用得时候不发送，出场上报的时候发送)
     * @return
     */
    boolean update(ThsParkingRecordsPO thsParkingRecordsPO, boolean sendEventPublish);

    /**
     * 得到在场车辆的最新一条停车记录
     *
     * @param parkCode 车场编号
     * @param carNo    车牌号
     * @return
     */
    ThsParkingRecordsPO getOnTheParkingRecord(String parkCode, String carNo);

    /**
     * 通过id得到停车记录
     *
     * @param id
     * @return
     */
    ThsParkingRecordsPO selectById(Integer id);
}
