package com.huaching.parking.local.parking_local_general.service.local.base;

import com.huaching.parking.local.parking_local_general.domain.local.po.ThsPayOrderRecordsPO;

/**
 * @program: parking_local_general
 * @description: 支付订单记录
 * @author: lidongsheng
 * @createData: 2020-04-24 19:59
 * @updateAuthor: lidongsheng
 * @updateData: 2020-04-24 19:59
 * @updateContent: 支付订单记录
 * @Version: 1.0.0

 * ************************************************
 * Copyright @ 李东升 2020. All rights reserved
 * ************************************************
 */

public interface PayOrderRecordsService {

    /**
     * 添加记录
     *
     * @param thsPayOrderRecordsPO
     * @return
     */
    boolean add(ThsPayOrderRecordsPO thsPayOrderRecordsPO);

    /**
     * 根据parkingRecordsId、 parkCode 和 carNo 以及 payStatus 搜索到最新的一条记录
     *
     * @param carNo
     * @return
     */
    ThsPayOrderRecordsPO selectLatestRecordByPrId(Integer parkingRecordsId, String parkCode, String carNo, Integer payStatus);

    /**
     * 根据 parkCode 和 carNo 以及 payStatus 搜索到最新的一条记录
     *
     * @param carNo
     * @return
     */
    ThsPayOrderRecordsPO selectLatestRecord(String parkCode, String carNo, Integer payStatus);

    /**
     * 更新记录
     *
     * @param thsPayOrderRecordsPO
     * @return
     */
    boolean update(ThsPayOrderRecordsPO thsPayOrderRecordsPO);


}
