package com.huaching.parking.local.parking_local_general.service.local.base.impl;

import com.huaching.parking.local.parking_local_general.domain.local.po.ThsCarAdvanceInOutRecordsPO;
import com.huaching.parking.local.parking_local_general.domain.local.po.ThsCarAdvanceInOutRecordsPOExample;
import com.huaching.parking.local.parking_local_general.mapper.local.ThsCarAdvanceInOutRecordsPOMapper;
import com.huaching.parking.local.parking_local_general.service.local.base.CarAdvanceInOutRecordsService;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * @program: parking_local_general
 * @description:
 * @author: lidongsheng
 * @createData: 2020-04-21 17:06
 * @updateAuthor: lidongsheng
 * @updateData: 2020-04-21 17:06
 * @updateContent:
 * @Version: 1.0.0

 * ************************************************
 * Copyright @ 李东升 2020. All rights reserved
 * ************************************************
 */
@Service
public class CarAdvanceInOutRecordsImpl implements CarAdvanceInOutRecordsService {

    private static final Logger logger = LoggerFactory.getLogger(CarAdvanceInOutRecordsImpl.class);

    @Autowired
    private ThsCarAdvanceInOutRecordsPOMapper mapper;

    @Override
    public boolean add(ThsCarAdvanceInOutRecordsPO thsCarAdvanceInOutRecordsPO) {
        return mapper.insert(thsCarAdvanceInOutRecordsPO) == 1 ? true : false;
    }

    @Override
    public boolean deleteById(Integer id) {
        return mapper.deleteByPrimaryKey(id) == 1 ? true : false;
    }

    @Override
    public boolean update(ThsCarAdvanceInOutRecordsPO thsCarAdvanceInOutRecordsPO) {
        return mapper.updateByPrimaryKey(thsCarAdvanceInOutRecordsPO) == 1 ? true : false;
    }

    @Override
    public int deleteByExample(ThsCarAdvanceInOutRecordsPO thsCarAdvanceInOutRecordsPO) {
        ThsCarAdvanceInOutRecordsPOExample example = new ThsCarAdvanceInOutRecordsPOExample();
        ThsCarAdvanceInOutRecordsPOExample.Criteria criteria = example.createCriteria();
        if (thsCarAdvanceInOutRecordsPO.getParkCode() == null || thsCarAdvanceInOutRecordsPO.getCarNo() == null) {
            return -1;
        }
        criteria.andParkCodeEqualTo(thsCarAdvanceInOutRecordsPO.getParkCode())
                .andCarNoEqualTo(thsCarAdvanceInOutRecordsPO.getCarNo());
        if (thsCarAdvanceInOutRecordsPO.getCapTime() != null) {
            criteria.andCapTimeEqualTo(thsCarAdvanceInOutRecordsPO.getCapTime());
        }
        return mapper.updateByExampleSelective(thsCarAdvanceInOutRecordsPO, example);
    }

    @Override
    public ThsCarAdvanceInOutRecordsPO selectLastAdvanceCarOutRecord(String parkCode, String carNo) {
        return mapper.selectLastAdvanceCarOutRecord(parkCode, carNo);
    }

    @Override
    public ThsCarAdvanceInOutRecordsPO selectLastByParkCodeAndChannelCode(String parkCode, String channelCode) {
        return mapper.selectLastByParkCodeAndChannelCode(parkCode, channelCode);
    }
}
