package com.huaching.parking.local.parking_local_general.service.local.base.impl;

import com.huaching.parking.local.parking_local_general.domain.local.po.ThsChannelMessagePO;
import com.huaching.parking.local.parking_local_general.domain.local.po.ThsChannelMessagePOExample;
import com.huaching.parking.local.parking_local_general.mapper.local.ThsChannelMessagePOMapper;
import com.huaching.parking.local.parking_local_general.service.local.base.ChannelMessageService;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * @program: parking_local_general
 * @description:
 * @author: lidongsheng
 * @createData: 2020-04-17 19:24
 * @updateAuthor: lidongsheng
 * @updateData: 2020-04-17 19:24
 * @updateContent:
 * @Version: 1.0.0

 * ************************************************
 * Copyright @ 李东升 2020. All rights reserved
 * ************************************************
 */
@Service
public class ChannelMessageServiceImpl implements ChannelMessageService {

    private static final Logger logger = LoggerFactory.getLogger(ChannelMessageServiceImpl.class);

    @Autowired
    private ThsChannelMessagePOMapper mapper;

    @Override
    public ThsChannelMessagePO getChannelMessage(String parkCode, String channelCode) {
        ThsChannelMessagePOExample example = new ThsChannelMessagePOExample();
        ThsChannelMessagePOExample.Criteria criteria = example.createCriteria();
        criteria.andParkCodeEqualTo(parkCode).andChannelCodeEqualTo(channelCode);
        List<ThsChannelMessagePO> list = mapper.selectByExample(example);
        return list == null || list.size() == 0 ? null : list.get(0);
    }

    @Override
    public List<ThsChannelMessagePO> getChannelsMessage(String parkCode) {
        ThsChannelMessagePOExample example = new ThsChannelMessagePOExample();
        ThsChannelMessagePOExample.Criteria criteria = example.createCriteria();
        criteria.andParkCodeEqualTo(parkCode);
        List<ThsChannelMessagePO> list = mapper.selectByExample(example);
        return list == null || list.size() == 0 ? null : list;
    }
}
