package com.huaching.parking.local.parking_local_general.service.local.base.impl;

import com.huaching.parking.local.parking_local_general.domain.local.po.*;
import com.huaching.parking.local.parking_local_general.mapper.local.ThsChargingRules24OldPOMapper;
import com.huaching.parking.local.parking_local_general.mapper.local.ThsChargingRulesFeeOldPOMapper;
import com.huaching.parking.local.parking_local_general.mapper.local.ThsChargingRulesOldPOMapper;
import com.huaching.parking.local.parking_local_general.service.local.base.ChargingRulesOldService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
public class ChargingRulesOldServiceImpl implements ChargingRulesOldService {

    @Autowired
    ThsChargingRulesOldPOMapper chargingRulesMapper;
    @Autowired
    ThsChargingRules24OldPOMapper chargingRules24Mapper;
    @Autowired
    ThsChargingRulesFeeOldPOMapper thsChargingRulesFeeOldPOMapper;

    @Override
    public ThsChargingRulesOldPO getDefaultByParkId(Integer parkId) {
        ThsChargingRulesOldPOExample example = new ThsChargingRulesOldPOExample();
        example.createCriteria().andParkIdEqualTo(parkId).andIsmemberEqualTo(0);
        List<ThsChargingRulesOldPO> chargeRules = chargingRulesMapper.selectByExample(example);
        if (chargeRules != null && !chargeRules.isEmpty()) {
            return chargeRules.get(0);
        }
        return null;
    }


    @Override
    public ThsChargingRules24OldPO getDefault24ByParkId(Integer parkId) {
        ThsChargingRules24OldPOExample example = new ThsChargingRules24OldPOExample();
        example.createCriteria().andParkIdEqualTo(parkId).andIsmemberEqualTo(0);
        List<ThsChargingRules24OldPO> list = chargingRules24Mapper.selectByExample(example);
        if (list == null || list.isEmpty()) {
            return null;
        } else {
            return list.get(0);
        }
    }

    @Override
    public ThsChargingRulesOldPO getById(Integer id) {
        return chargingRulesMapper.selectByPrimaryKey(id);
    }

    @Override
    public ThsChargingRules24OldPO get24ById(Integer id) {
        return chargingRules24Mapper.selectByPrimaryKey(id);
    }

    @Override
    public ThsChargingRulesFeeOldPO getFeeById(Integer id) {
        return thsChargingRulesFeeOldPOMapper.selectByPrimaryKey(id);
    }
}
