package com.huaching.parking.local.parking_local_general.service.local.base.impl;

import com.huaching.parking.local.parking_local_general.domain.local.po.ThsMemberCarPO;
import com.huaching.parking.local.parking_local_general.domain.local.po.ThsMemberCarPOExample;
import com.huaching.parking.local.parking_local_general.mapper.local.ThsMemberCarPOMapper;
import com.huaching.parking.local.parking_local_general.service.local.base.MemeberCarService;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * @program: parking_local_general
 * @description:
 * @author: lidongsheng
 * @createData: 2020-04-29 10:41
 * @updateAuthor: lidongsheng
 * @updateData: 2020-04-29 10:41
 * @updateContent:
 * @Version: 1.0.0

 * ************************************************
 * Copyright @ 李东升 2020. All rights reserved
 * ************************************************
 */
@Service
public class MemeberCarServiceImpl implements MemeberCarService {

    private static final Logger logger = LoggerFactory.getLogger(MemeberCarServiceImpl.class);

    @Autowired
    private ThsMemberCarPOMapper thsMemberCarMapper;

    @Override
    public boolean add(ThsMemberCarPO thsMemberCarPO) {
        return thsMemberCarMapper.insert(thsMemberCarPO) == 1 ? true : false;
    }

    @Override
    public boolean update(ThsMemberCarPO thsMemberCarPO) {
        return thsMemberCarMapper.updateByPrimaryKeySelective(thsMemberCarPO) == 1 ? true : false;
    }

    @Override
    public boolean delete(Integer id) {
        return thsMemberCarMapper.deleteByPrimaryKey(id) == 1 ? true : false;
    }

    @Override
    public boolean delete(String parkCode, String carNo) {
        return thsMemberCarMapper.deleteByparkCodeAndCarNo(parkCode, carNo) == 1 ? true : false;
    }

    @Override
    public ThsMemberCarPO selectMemberCarDataInfo(String parkCode, String carNo, Integer carType) {
        return thsMemberCarMapper.selectMemberCarDataInfo(parkCode,carNo, carType);
    }
}
