package com.huaching.parking.local.parking_local_general.service.local.base.impl;

import com.huaching.parking.local.parking_local_general.domain.local.po.ThsPayOrderRecordsPO;
import com.huaching.parking.local.parking_local_general.domain.local.po.ThsPayOrderRecordsPOExample;
import com.huaching.parking.local.parking_local_general.mapper.local.ThsPayOrderRecordsPOMapper;
import com.huaching.parking.local.parking_local_general.service.local.base.PayOrderRecordsService;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * @program: parking_local_general
 * @description:
 * @author: lidongsheng
 * @createData: 2020-04-24 20:00
 * @updateAuthor: lidongsheng
 * @updateData: 2020-04-24 20:00
 * @updateContent:
 * @Version: 1.0.0

 * ************************************************
 * Copyright @ 李东升 2020. All rights reserved
 * ************************************************
 */
@Service
public class PayOrderRecordsServiceImpl implements PayOrderRecordsService {

    private static final Logger logger = LoggerFactory.getLogger(PayOrderRecordsServiceImpl.class);

    @Autowired
    private ThsPayOrderRecordsPOMapper mapper;

    @Override
    public boolean add(ThsPayOrderRecordsPO thsPayOrderRecordsPO) {
        return mapper.insert(thsPayOrderRecordsPO) == 1 ? true : false;
    }

    @Override
    public ThsPayOrderRecordsPO selectLatestRecordByPrId(Integer parkingRecordsId, String parkCode, String carNo, Integer payStatus) {
        return mapper.selectLatestRecordByPrId(parkingRecordsId, parkCode, carNo, payStatus);
    }

    @Override
    public ThsPayOrderRecordsPO selectLatestRecord(String parkCode, String carNo, Integer payStatus) {
        return mapper.selectLatestRecord(parkCode, carNo, payStatus);
    }

    @Override
    public boolean update(ThsPayOrderRecordsPO thsPayOrderRecordsPO) {
        return mapper.updateByPrimaryKeySelective(thsPayOrderRecordsPO) == 1 ? true : false;
    }

}
