package com.huaching.parking.local.parking_local_general.service.zhaf;

import com.huaching.parking.local.parking_local_general.domain.ResponseResult;
import com.huaching.parking.local.parking_local_general.domain.zhaf.ResponseResultZHAF;
import com.huaching.parking.local.parking_local_general.domain.zhaf.dto.BindDeviceDTO;
import com.huaching.parking.local.parking_local_general.domain.zhaf.dto.DeleteDeviceDTO;
import com.huaching.parking.local.parking_local_general.domain.zhaf.dto.RegisterDeviceDTO;
import com.huaching.parking.local.parking_local_general.domain.zhaf.dto.SubscriptionDTO;

/**
 * @program: parking_local_general
 * @description: 下行接口请求
 * @author: lidongsheng
 * @createData: 2020-04-14 19:02
 * @updateAuthor: lidongsheng
 * @updateData: 2020-04-14 19:02
 * @updateContent: 下行接口请求
 * @Version: 1.0.0

 * ************************************************
 * Copyright @ 李东升 2020. All rights reserved
 * ************************************************
 */

public interface RemoteRequestService {

    /**
     * 注册设备
     * @return
     */
    ResponseResultZHAF registerDevice(RegisterDeviceDTO registerDeviceDTO);

    /**
     * 删除设备
     * @return
     */
    ResponseResultZHAF deleteDevice(DeleteDeviceDTO deleteDeviceDTO);

    /**
     * 设备关联关系新增与修改(存在则修改，不存在则新增)
     * @param bindDeviceDTO
     * @return
     */
    ResponseResultZHAF bindDevice(BindDeviceDTO bindDeviceDTO);

    /**
     * 订阅数据
     * @param subscriptionDTO
     * @return
     */
    ResponseResultZHAF subscription(SubscriptionDTO subscriptionDTO);

    /**
     * 订阅数据
     * @param subscriptionDTO
     * @return
     */
    ResponseResultZHAF deleteSubscription(SubscriptionDTO subscriptionDTO);

    /**
     * 道闸控制
     * 海康设备仅支持开闸事件，触发了开闸，车辆经过后防砸线圈会使杆落下
     * @param deviceCode 设备编码
     * @param type 类型（1 开门，0 关门）
     * @return
     */
    ResponseResult controlBarrierGate(String deviceCode,Integer type);

    /**
     * 控制抓拍机的开闸模式
     * @param deviceCode 设备编码
     * @param type 类型（1 命令开闸(平台控制)，0 白名单开闸）
     * @return
     */
    ResponseResultZHAF ctrlMode(String deviceCode,Integer type);

}
