package com.huaching.parking.local.parking_local_general.service.zhaf.impl;

import com.alibaba.fastjson.JSON;
import com.alibaba.fastjson.serializer.PropertyFilter;
import com.huaching.parking.local.parking_local_general.config.zhaf.DZConfig;
import com.huaching.parking.local.parking_local_general.controller.local.ParkMessageController;
import com.huaching.parking.local.parking_local_general.controller.local.ReceiveReportController;
import com.huaching.parking.local.parking_local_general.domain.ResponseResult;
import com.huaching.parking.local.parking_local_general.domain.local.dto.response.ThsChannelMeeageDTO;
import com.huaching.parking.local.parking_local_general.domain.zhaf.dto.BarriergateReportDTO;
import com.huaching.parking.local.parking_local_general.intercept.local.GeneralPrintLogAOP;
import com.huaching.parking.local.parking_local_general.service.local.base.ChannelMessageService;
import com.huaching.parking.local.parking_local_general.service.zhaf.ReportService;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * @program: parking_local_general
 * @description:
 * @author: lidongsheng
 * @createData: 2020-04-17 17:51
 * @updateAuthor: lidongsheng
 * @updateData: 2020-04-17 17:51
 * @updateContent:
 * @Version: 1.0.0

 * ************************************************
 * Copyright @ 李东升 2020. All rights reserved
 * ************************************************
 */
@Service
public class ReportServiceImpl implements ReportService {

    private static final Logger logger = LoggerFactory.getLogger(ReportServiceImpl.class);

    @Autowired
    private ParkMessageController parkMessageController;
    @Autowired
    private ReceiveReportController receiveReportController;


    @Autowired
    private ChannelMessageService channelMessageService;


    @Override
    @GeneralPrintLogAOP(value = " zhaf 道闸过车上报 ")
    public ResponseResult barriergateReport(BarriergateReportDTO barriergateReportDTO) {
        ResponseResult responseResult = parkMessageController.getChannelMessage(DZConfig.getParkCode(), String.valueOf(barriergateReportDTO.getDeviceInfo().getDeviceCode()));
        if (responseResult.getCompleteCode() == 1) {
            ThsChannelMeeageDTO thsChannelMeeageDTO = JSON.parseObject(String.valueOf(responseResult.getData()), ThsChannelMeeageDTO.class);
            logger.info("调用停划算local端车辆预出入场上报接口");
            receiveReportController.carAdvanceInOut(BarriergateReportDTO.advanceThsCarInDTO(barriergateReportDTO, thsChannelMeeageDTO.getDirection()));
            if (thsChannelMeeageDTO.getControl_type() == 0) {
                switch (thsChannelMeeageDTO.getDirection()) {
                    case 1:
                        logger.info("调用停划算local端车辆入场上报接口");
                        receiveReportController.carIn(BarriergateReportDTO.convertThsCarInDTO(barriergateReportDTO));
                        break;
                    case 2:
                        logger.info("调用停划算local端车辆出场上报接口");
                        receiveReportController.carOut(BarriergateReportDTO.convertThsCarOutDTO(barriergateReportDTO));
                        break;
                    default:
                        if (barriergateReportDTO.getDirection() == 3) {
                            logger.info("单通道 调用停划算local端车辆入场上报接口");
                            receiveReportController.carIn(BarriergateReportDTO.convertThsCarInDTO(barriergateReportDTO));
                        } else {
                            logger.info("单通道 调用停划算local端车辆出场上报接口");
                            receiveReportController.carOut(BarriergateReportDTO.convertThsCarOutDTO(barriergateReportDTO));
                        }
                        break;
                }
            }
        } else {
            return responseResult;
        }
        return ResponseResult.responseOK();
    }

}
