package com.huaching.parking.local.parking_local_general.util.local.chargeCalculator;

import com.huaching.parking.local.parking_local_general.domain.local.po.ThsChargingRulesFeeOldPO;
import com.huaching.parking.local.parking_local_general.service.local.base.ChargingRulesOldService;
import com.huaching.parking.local.parking_local_general.service.local.base.impl.ChargingRulesOldServiceImpl;
import com.huaching.parking.local.parking_local_general.util.local.DateUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.Date;

/**
 * Created by sunke on 2018/2/27.
 */
@Service
public class CalculatorCarSpace implements Calculator {
    @Autowired
    ChargingRulesOldService chargingRulesDao;

    @Override
    public Float calculate(Date startDate, Date endDate, Integer chargingRulesId) throws ChargeRuleIllegalException {
        ThsChargingRulesFeeOldPO thsCarSpaceFee = chargingRulesDao.getFeeById(chargingRulesId);
        Integer freeTime = thsCarSpaceFee.getFreeTime();
        Integer circleTime = thsCarSpaceFee.getCircleTime();
        Float unitPrice = thsCarSpaceFee.getPrice();
        if (startDate == null || endDate == null || freeTime == null || circleTime == null || unitPrice == null) {
            throw new ChargeRuleIllegalException("不正确的收费规则不完整");
        }
        int seconds = (int) DateUtils.subDate(endDate, startDate, 1);
        Integer minutes = seconds / 60 + (seconds % 60 > 0 ? 1 : 0);
        if (minutes <= freeTime) {
            return 0F;
        }
        Float price = ((minutes / circleTime) + (minutes % circleTime > 0 ? 1 : 0)) * unitPrice;
        return price;
    }
}
