package com.huaching.parking.local.parking_local_general.util.zhaf;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import sun.misc.BASE64Decoder;
import sun.misc.BASE64Encoder;

import java.io.*;
import java.util.Date;

/**
 * @program: parking_local_general
 * @description:
 * @author: lidongsheng
 * @createData: 2020-05-14 10:27
 * @updateAuthor: lidongsheng
 * @updateData: 2020-05-14 10:27
 * @updateContent:
 * @Version: 1.0.0

 * ************************************************
 * Copyright @ 李东升 2020. All rights reserved
 * ************************************************
 */

public class Base64Utils {

    private static final Logger logger = LoggerFactory.getLogger(Base64Utils.class);

    /**
     * 图片转化成base64字符串
     *
     * @param imgPath
     * @return
     */
    public static String GetImageStr(String imgPath) {
        // 待处理的图片
        String imgFile = imgPath;
        InputStream in = null;
        byte[] data = null;
        // 返回Base64编码过的字节数组字符串
        String encode = null;
        // 对字节数组Base64编码
        BASE64Encoder encoder = new BASE64Encoder();
        try {
            // 读取图片字节数组
            in = new FileInputStream(imgFile);
            data = new byte[in.available()];
            in.read(data);
            encode = encoder.encode(data);
        } catch (IOException e) {
            e.printStackTrace();
        } finally {
            try {
                in.close();
            } catch (IOException e) {
                // TODO Auto-generated catch block
                e.printStackTrace();
            }
        }
        return encode;
    }

    /**
     * base64字符串转化成图片
     *
     * @param imgData     图片编码
     * @param imgFilePath 存放到本地路径
     * @return
     * @throws IOException
     */
    @SuppressWarnings("finally")
    public static boolean GenerateImage(String imgData, String imgFilePath, String imgName) { // 对字节数组字符串进行Base64解码并生成图片
        if (imgData == null) {
            logger.error("base64字符串转化成图片 imgData为空");
            return false;
        }
        BASE64Decoder decoder = new BASE64Decoder();
        OutputStream out = null;
        try {
            File dir = new File(imgFilePath);
            dir.setWritable(true, false);
            if (!dir.exists()) {
                dir.mkdir();
            }
            out = new FileOutputStream(imgFilePath + "/" + imgName);
            // Base64解码
            byte[] b = decoder.decodeBuffer(imgData);
            for (int i = 0; i < b.length; ++i) {
                if (b[i] < 0) {
                    b[i] += 256;
                }
            }
            out.write(b);
        } catch (FileNotFoundException e) {
            logger.error("base64字符串转化成图片 FileNotFoundException异常 -> ", e);
        } catch (IOException e) {
            logger.error("base64字符串转化成图片 IOException异常 -> ", e);
        } finally {
            try {
                out.flush();
                out.close();
            } catch (IOException e) {
                logger.error("base64字符串转化成图片 完成后 IOException异常 -> ", e);
                return false;
            }
            return true;
        }

    }

    public static void main(String[] args) throws IOException {
//        String imageStr = Base64Utils.GetImageStr("D://下载/企鹅.jpg");
//        System.out.println(imageStr);
//        Base64Utils.GenerateImage(imageStr, "D://photos/企鹅.jpg");

    }
}
