CREATE TABLE event_process (
	id BIGINT UNSIGNED NOT NULL auto_increment,
	event_status TINYINT NOT NULL COMMENT '事件状态 0 NEW, 1 PROCESSED, 2 IGNORE',
	event_type TINYINT NOT NULL COMMENT '事件分组 0 NOTIFY, 1 ASK ',
	payload VARCHAR (2048) NOT NULL COMMENT '数据体',
	event_id VARCHAR (32) NOT NULL COMMENT 'uuid',
	data_type VARCHAR (64) NOT NULL COMMENT '数据类型定义 eq:CAR_IN,CAR_OUT',
	createTime TIMESTAMP NOT NULL  DEFAULT CURRENT_TIMESTAMP ,
	updateTime TIMESTAMP NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
	version INT DEFAULT 0,
	event_channel VARCHAR (100) NOT NULL COMMENT '通道标识',
	PRIMARY KEY (id),
	UNIQUE KEY AK_UN_event_process (event_id)
);

CREATE TABLE event_publish (
	id BIGINT UNSIGNED NOT NULL auto_increment,
	event_status TINYINT NOT NULL COMMENT '事件状态 0 NEW, 1 PUBLISHED, 2 IGNORE',
	event_type TINYINT NOT NULL COMMENT '事件分组 0 NOTIFY, 1 ASK ',
	payload VARCHAR (2048) NOT NULL COMMENT '数据体',
	event_id VARCHAR (32) NOT NULL COMMENT 'uuid',
	data_type VARCHAR (64) NOT NULL COMMENT '数据类型定义 eq:CAR_IN,CAR_OUT',
	createTime TIMESTAMP NOT NULL  DEFAULT CURRENT_TIMESTAMP ,
	updateTime TIMESTAMP NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
	version INT DEFAULT 0,
	event_channel VARCHAR (100) NOT NULL COMMENT '通道标识',
	PRIMARY KEY (id),
	UNIQUE KEY AK_UN_event_publish (event_id)
);


CREATE TABLE `t_xlt_car_in` (
	`id` int(10) unsigned NOT NULL AUTO_INCREMENT,
	`version` int(11) NOT NULL DEFAULT '0',
	`kind` varchar(10) NOT NULL,
	`data` text,
	`createtime` timestamp NULL DEFAULT CURRENT_TIMESTAMP,
	`updatetime` timestamp NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
	`carno` varchar(20) NOT NULL COMMENT '车牌号',
	`in_time` int(11) DEFAULT NULL COMMENT '进场时间',
	PRIMARY KEY (`id`),
	UNIQUE KEY `index_carno` (`carno`)
) ENGINE=InnoDB AUTO_INCREMENT=1109 DEFAULT CHARSET=utf8;

CREATE TABLE `t_xlt_car_out` (
	`id` int(10) unsigned NOT NULL AUTO_INCREMENT,
	`version` int(11) NOT NULL DEFAULT '0',
	`kind` varchar(10) NOT NULL,
	`data` text,
	`createtime` timestamp NULL DEFAULT CURRENT_TIMESTAMP,
	`updatetime` timestamp NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
	`carno` varchar(20) NOT NULL COMMENT '车牌号',
	`in_time` int(11) DEFAULT NULL COMMENT '进场时间',
	`out_time` int(11) DEFAULT NULL COMMENT '出场时间',
	PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=4 DEFAULT CHARSET=utf8;

CREATE TABLE `t_xlt_member` (
	`id` int(11) NOT NULL AUTO_INCREMENT,
	`carno` varchar(20) DEFAULT NULL,
	`kind` varchar(20) DEFAULT NULL,
	`version` int(11) DEFAULT NULL,
	`createtime` timestamp NULL DEFAULT CURRENT_TIMESTAMP,
	`updatetime` timestamp NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
	`data` varchar(255) DEFAULT NULL,
	`member_type` tinyint(4) DEFAULT NULL COMMENT '0 普通会员 1 在线支付临时会员',
	`endtime` int(11) DEFAULT NULL COMMENT '结束时间戳',
	PRIMARY KEY (`id`),
	UNIQUE KEY `carno` (`carno`)
) ENGINE=InnoDB AUTO_INCREMENT=34 DEFAULT CHARSET=utf8;

