//
// Source code recreated from a .class file by IntelliJ IDEA
// (powered by Fernflower decompiler)
//

package com.huaching.parking.local.parking_local_general.domain;

import com.huaching.parking.local.parking_local_general.enums.local.ReasonCodeEnums;

import java.io.Serializable;

public class ResponseResult<T> implements Serializable {

    public static final int ERROR = 0;
    public static final int SUCCESS = 1;

    private Integer completeCode;

    private Integer reasonCode;

    private String reasonMessage;

    private T data;

    /**
     * 外部不要直接new对象
     */
    private ResponseResult(Builder<T> builder) {
        this.reasonCode = builder.reasonCode;
        this.reasonMessage = builder.reasonMessage;
        this.completeCode = builder.completeCode;
        this.data = builder.data;
    }

    @Deprecated
    public ResponseResult() {
    }

    public Integer getCompleteCode() {
        return completeCode;
    }

    public Integer getReasonCode() {
        return reasonCode;
    }

    public String getReasonMessage() {
        return reasonMessage;
    }

    public T getData() {
        return data;
    }


    @Deprecated
    public ResponseResult<T> setCompleteCode(Integer completeCode) {
        this.completeCode = completeCode;
        return this;
    }

    @Deprecated
    public ResponseResult<T> setReasonCode(Integer reasonCode) {
        this.reasonCode = reasonCode;
        return this;
    }

    @Deprecated
    public ResponseResult<T> setReasonMessage(String reasonMessage) {
        this.reasonMessage = reasonMessage;
        return this;
    }

    @Deprecated
    public ResponseResult<T> setData(T data) {
        this.data = data;
        return this;
    }


    @Override
    public String toString() {
        return "ResponseResult{" +
                "completeCode=" + completeCode +
                ", reasonCode='" + reasonCode + '\'' +
                ", reasonMessage='" + reasonMessage + '\'' +
                ", data=" + (data == null ? "null" : data.toString()) +
                '}';
    }

    public static ResponseResult responseFail(ReasonCodeEnums reasonCode, String msg) {
        return ResponseResult.Builder.init().setFailMessage(reasonCode, msg).build();
    }

    public static ResponseResult responseFailPublic(Integer reasonCode, String msg) {
        return ResponseResult.Builder.init().setFailMessage(reasonCode, msg).build();
    }

    public static ResponseResult responseOK() {
        return ResponseResult.Builder.init().build();
    }

    public static class Builder<K> {
        private Integer completeCode;

        private Integer reasonCode;

        private String reasonMessage;

        private K data;

        private Builder(int completeCode) {
            this.completeCode = completeCode;
        }

        static public <K> Builder<K> init() {
            return new Builder<>(SUCCESS);
        }

        public Builder<K> setCompleteCode(int code) {
            this.completeCode = code;
            return this;
        }

        public Builder<K> setReasonCode(Integer code) {
            this.reasonCode = code;
            return this;
        }

        public Builder<K> setReasonMessage(String msg) {
            this.reasonMessage = msg;
            return this;
        }

        public Builder<K> setFailMessage(ReasonCodeEnums reasonCode, String reasonMessage) {
            this.reasonMessage = reasonMessage;
            this.reasonCode = reasonCode.getCode();
            this.completeCode = ERROR;
            return this;
        }

        public Builder<K> setFailMessage(Integer reasonCode, String reasonMessage) {
            this.reasonMessage = reasonMessage;
            this.reasonCode = reasonCode;
            this.completeCode = ERROR;
            return this;
        }

        public Builder<K> setData(K k) {
            this.data = k;
            return this;
        }

        public ResponseResult<K> build() {
            return new ResponseResult<>(this);
        }
    }
}
